Subject: [Catalina-22] Catalina22 (tech) (spinlock rope clutches)

From: "Thomas Holz" <[email-masked]>
Date: Fri, 14 Sep 2007 18:56:35 -0400

Welcome to the Spinlock Website | www.spinlock.co.ukStaurt, 
         I don't know if this helps at all.....I know that spin lock sells the replacement cams, if that indeed is the part that broke.  My XAS tripes have served me well this season with no problems.  Did you buy them new, or used?  If they were used, maybe the PO abused them some how to weaken the cams.    
                                                                                                 Jay

      home products support special projects industrial employment distributors store finder    

                  FAQ 

                        Which clutch do I need for my rope size? 
                       
                        You should first check what rope type you are using. The extra shock loads transferred by a SpectraT type low stretch halyards mean you should not use our entry level XAS clutch - whatever the boat size. Since even an 8mm SpectraT line has a break load of almost 3 tons, diameter does not often determine working load on modern yachts - you should try to consider loads and look at our graphs according to the diameter in use. If the load exceeds that where the XTS or XCS can hold, you must consider the Powerclutch XX. If you are using hi-tech lines of >12mm, you will definitely need to look at the ZS jammer.

                        back... 

     
            ESP FRA GBR GER ITA SWE 
            2007 BROCHURE
             
            ROPEHOLDING GUIDE

            pro-support
             
            webcam
             
            search
             
            contacts
             
            links